web analytics
Skip to main content
google-firefox

How to install the Google Toolbar on Firefox 5

OK, you love Firefox, and you can’t live without the Google Toolbar extension. And you’re really upset because, after upgrading to Firefox 5, you found out that your lovely and useful Google Toolbar extension is incompatible with the new version. That’s really a shame.

What should you do? Go back to a Firefox previous version? Continue using Firefox 5 without the toolbar, until Google take a merciful look at the trials and tribulations of poor Web users who happen not to use their Chrome browser? (note: see UPDATE 1 below)

(more…)

Error when running Apache with PHP in Windows

A possible problem after you install and configure Apache 2.2 and PHP  5 in Windows XP: Apache does not start, and you get the following error message in Apache error log:

[crit] (OS 6)The handle is invalid.  : master_main: create child process failed. Exiting.
[notice] Parent: Forcing termination of child process 36

or, in a spanish installation:

[crit] (OS 6)Controlador no válido.  : master_main: create child process failed. Exiting.
[notice] Parent: Forcing termination of child process 36

The cause of this error is probably the fact that you have some improperly installed PHP extension in your configuration. Some PHP extensions have dependencies that are not automatically installed in Windows.

So, check PHP.INI file for all the extensions that are set, and try to comment them one-by-one, to find out which one (or ones) is causing the problem. Of of the main suspects is the openSSL extension. If this is the case, just comment the following lines in PHP.INI:

[PHP_OPENSSL]
extension=php_openssl.dll

comment them like that:

;[PHP_OPENSSL]
;extension=php_openssl.dll

Another solution, in this case, if you really need openSSL is just to install it. Check it here:

http://www.slproweb.com/products/Win32OpenSSL.html

Take also a closer look in the database extensions, because they all need that the proper database clients are installed:

For example, MySql, PostgreSQL and Oracle extensions:

[PHP_MYSQL]
extension=php_mysql.dll

[PHP_PGSQL]
extension=php_pgsql.dll

[PHP_OCI8]
extension=php_oci8.dll

Again, do the same: comment them or, in case you need them, install the proper database drivers.

I hope this helps!